Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » MoDisco » Problems with modify plugins
Problems with modify plugins [message #1320431] Mon, 28 April 2014 19:56 Go to next message
Victor Pavon is currently offline Victor PavonFriend
Messages: 50
Registered: April 2012
Location: Spain
Member
Hello,
We are trying to define a JSP inventory discoverer, like Java inventory discoverer. For that we have modify the MoDisco JSP parser to extend AbstractRegionDiscoverer2. On the other hand we defined a JSP composition metamodel that reference the MoDisco JSP metamodel, but we need to modify the MoDisco JSP plugin to export the package impl and util. If we run all this plugins in the Eclipse Development Environment all plugins work properly. The problem occurs when we export the plugins and we install it in a Eclipse, no one of the modify plugins (JSP metamodel plugin and JSP Dicoverer plugin) is loads.
We think that the problem is that the modify plugins are unsigned but we aren't sure. Cloud you help as with the problem?

Best regards,
Víctor Pavón.


Víctor Pavón,
Research at Quercus Software Engineering Group
University of Extremadura, Spain.

[Updated on: Tue, 29 April 2014 09:26]

Report message to a moderator

Re: Problems with modify plugins [message #1323618 is a reply to message #1320431] Wed, 30 April 2014 10:53 Go to previous messageGo to next message
Hugo Bruneliere is currently offline Hugo BruneliereFriend
Messages: 667
Registered: July 2009
Senior Member
Hello,

How are you installing your plugins in the Eclipse install?
Sometimes, there are issues when copying them in the "dropins" folder and it is more reliable to put them directly in the "plugins" folder. Defining and using a update site is also more stable most of the time.
Moreover, you can check that the writing rights are correctly set for the "plugins" and "features" folders.
You can also launch your Eclipse instance with the "-clean" argument to force re-initializsation.

Best regards,


------------------------------------------
Hugo Bruneliere - R&D Engineer
AtlanMod research team (Inria, EMN & LINA)
Ecole des Mines de Nantes
Nantes - France
------------------------------------------
Re: Problems with modify plugins [message #1366226 is a reply to message #1323618] Mon, 19 May 2014 08:04 Go to previous messageGo to next message
Victor Pavon is currently offline Victor PavonFriend
Messages: 50
Registered: April 2012
Location: Spain
Member
Hello Hugo,

We have tried all the method that you suggest in the previous post, but no one have work in the Eclipse Kepler version, with Eclipse Juno we haven't got any issue. We have tried in different Eclipse Kepler versions: Eclipse Kepler 32bit and 64bit, Eclipse Kepler with MoDisco and EMF tools and with Eclipse Kepler Modeling with MoDisco, also with try with different S.O. Windows 7, Windows XP and MacOS, also we try with java 7 32 and 64 bit versions, but no one work. Only it works with Eclipse Juno.

Best regards, Víctor.


Víctor Pavón,
Research at Quercus Software Engineering Group
University of Extremadura, Spain.
Re: Problems with modify plugins [message #1368617 is a reply to message #1366226] Tue, 20 May 2014 07:42 Go to previous messageGo to next message
Fabien Giquel is currently offline Fabien GiquelFriend
Messages: 139
Registered: July 2009
Senior Member
Hello,

did you increment the plugins release number in Manifest.MF ?

As Hugo says, defining some update site from your modified plugins should help : eclipse install manager will explain at deployment step why modified plugins cannot be installed in your eclipse.

Fabien.


----------------------------------------------------
Fabien GIQUEL
R&D Engineer
Mia-Software
4, rue du Château de l'Eraudiere
44324 NANTES CEDEX 03
----------------------------------------------------
Re: Problems with modify plugins [message #1383066 is a reply to message #1368617] Mon, 26 May 2014 07:36 Go to previous message
Victor Pavon is currently offline Victor PavonFriend
Messages: 50
Registered: April 2012
Location: Spain
Member
Hello Fabien and Hugo,

Thank you for your help. I have resolved the issue, the solution was use the MoDisco update site project to update the plugins, (We have to checkout the project: modisco.updatesite, modisco.sdk.feature and modisco.jee.feature). I have to use it because when I tried to update Eclipse with my site I get version conflicts between my modify plugin and the MoDisco existing plugin.

Best regard,
Víctor.


Víctor Pavón,
Research at Quercus Software Engineering Group
University of Extremadura, Spain.

[Updated on: Mon, 26 May 2014 08:24]

Report message to a moderator

Previous Topic:Accessing source line number from Java Model
Next Topic:How to discover XML KDM File Programatically
Goto Forum:
  


Current Time: Wed Jan 17 09:30:11 GMT 2018

Powered by FUDForum. Page generated in 0.01789 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software